Bug 131204 - usbdrive producing ub I/O errors when plugged in
usbdrive producing ub I/O errors when plugged in
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-08-29 16:08 EDT by Jef Spaleta
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 21:55:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages output on usbdisk insertion (4.56 KB, text/plain)
2004-08-29 16:10 EDT, Jef Spaleta
no flags Details
Candidate #1 - fail opens on empty devices (835 bytes, patch)
2004-09-12 00:20 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Jef Spaleta 2004-08-29 16:08:14 EDT
Description of problem:
2.6.8-1.533smp and kernel-2.6.8-1.532smp 
produce ub I/O errors when my ioplus pocketdisk usbdrive is plugged
in. The read/write indicator light on the drive flashes repeatedly as
well until i unplug the device.  

kernel-2.6.8-1.526smp and previous kernels seem to handle this device
well, and produce sda1 device that is mountable. 

Attached you will find a portion of /var/log/messages created on
usbdisk insertion.

/proc/partitions lists with the device inserted: 
125     0         25 uba

and of course mount /dev/uba /mnt/test doesn't work
/dev/uba: Invalid argument
mount: /dev/uba: can't read superblock

How reproducible:
Every time I plug the device in, and even if the device is plugged in
at boottime.

Please direct me as to any further information I can give you.

-jef
Comment 1 Jef Spaleta 2004-08-29 16:10:02 EDT
Created attachment 103218 [details]
/var/log/messages output on usbdisk insertion
Comment 2 Pete Zaitcev 2004-08-29 17:34:25 EDT
It's too early to ship kernels with ub enabled (CONFIG_BLK_DEV_UB).
We should continue to use the old storage driver for now.
Comment 3 Pete Zaitcev 2004-09-12 00:18:13 EDT
I think I found a fix, I'll have it recirculate through the upstream.
Comment 4 Pete Zaitcev 2004-09-12 00:20:47 EDT
Created attachment 103753 [details]
Candidate #1 - fail opens on empty devices
Comment 5 Jef Spaleta 2004-10-25 09:47:06 EDT
should this bug report be closed?
I originally reported it against a fedora development kernel but since
fedora development kernels no longer attempt to use the ub module,
should report be closed out? 

Or are you using it to track ub specific issues not associated with
available binary kernels?

-jef
Comment 6 Pete Zaitcev 2004-10-25 19:18:35 EDT
Jef, you are the reporter. Developers are not supposed to close bugs,
unless the reporter fails his duty.

This bug did its work. I have fixed the problem you identified.
As for the bug, eventually, I'd poke you with a NEEDINFO...

Note You need to log in before you can comment on or make changes to this bug.